/// <reference types="moment-range" />
declare const Array: {
    removeArrayDuplicateLegacy: (array: any[]) => any[];
    sortByKey: (array: any[], key: string, asc: boolean) => PromiseLike<any[]>;
};
declare const ArraySort: {
    sortByKey: (array: any[], key: string, asc: boolean) => PromiseLike<any[]>;
};
declare const ArrayRemove: {
    removeArrayDuplicateLegacy: (array: any[]) => any[];
};
declare const Attachment: {
    validateFile: (input: HTMLInputElement, accepts: string[]) => boolean;
    validateFileSize: (input: HTMLInputElement) => boolean;
    textFileToUrlImage: (file: File) => PromiseLike<string>;
    parseAcceptFiles: (accepts: string) => string[];
};
declare const AttachmentValidate: {
    validateFile: (input: HTMLInputElement, accepts: string[]) => boolean;
    validateFileSize: (input: HTMLInputElement) => boolean;
    fileMaxSize: (input: HTMLInputElement) => number;
};
declare const AttachmentConvert: {
    textFileToUrlImage: (file: File) => PromiseLike<string>;
};
declare const AttachmentParse: {
    parseAcceptFiles: (accepts: string) => string[];
};
declare const Browser: {
    isIE: () => boolean;
    isBeforeIE11: () => boolean;
    disableFullscreenListener: () => void;
    fullscreenListener: (menuButton: import("./scripts/core/services/menu/core-services-menu.interfaces").IMenuButton, alt: import("./scripts/core/services/menu/core-services-menu.interfaces").IFullScreenAlt, src: import("./scripts/core/services/menu/core-services-menu.interfaces").IFullScreenSrc, showLog?: boolean) => void;
    toggleFullScreen: (menuButton: import("./scripts/core/services/menu/core-services-menu.interfaces").IMenuButton, alt: import("./scripts/core/services/menu/core-services-menu.interfaces").IFullScreenAlt, src: import("./scripts/core/services/menu/core-services-menu.interfaces").IFullScreenSrc, showLog?: boolean) => PromiseLike<import("./scripts/core/services/browser/core-services-browser.interfaces").IFullscreenResult>;
    hasFullscreen: () => boolean;
};
declare const BrowserVersion: {
    isIE: () => boolean;
    isBeforeIE11: () => boolean;
};
declare const BrowserFullscreen: {
    disableFullscreenListener: () => void;
    fullscreenListener: (menuButton: import("./scripts/core/services/menu/core-services-menu.interfaces").IMenuButton, alt: import("./scripts/core/services/menu/core-services-menu.interfaces").IFullScreenAlt, src: import("./scripts/core/services/menu/core-services-menu.interfaces").IFullScreenSrc, showLog?: boolean) => void;
    toggleFullScreen: (menuButton: import("./scripts/core/services/menu/core-services-menu.interfaces").IMenuButton, alt: import("./scripts/core/services/menu/core-services-menu.interfaces").IFullScreenAlt, src: import("./scripts/core/services/menu/core-services-menu.interfaces").IFullScreenSrc, showLog?: boolean) => PromiseLike<import("./scripts/core/services/browser/core-services-browser.interfaces").IFullscreenResult>;
    hasFullscreen: () => boolean;
};
declare const ComboBox: {
    initialize: (combobox: HTMLSelectElement, callback: any, invalidCallback: any) => void;
    loadData: (combobox: HTMLSelectElement, data: import("./scripts/core/services/combobox/core-services-combobox.interface").IComboBoxData[], keepValue: boolean) => Promise<unknown>;
    dataByValue: (arrayData: import("./scripts/core/services/combobox/core-services-combobox.interface").IComboBoxData[], value: string) => string;
    disableInput: (combobox: HTMLSelectElement, disable: boolean) => void;
};
declare const ComboBoxCore: {
    initialize: (combobox: HTMLSelectElement, callback: any, invalidCallback: any) => void;
    loadData: (combobox: HTMLSelectElement, data: import("./scripts/core/services/combobox/core-services-combobox.interface").IComboBoxData[], keepValue: boolean) => Promise<unknown>;
};
declare const ComboBoxData: {
    dataByValue: (arrayData: import("./scripts/core/services/combobox/core-services-combobox.interface").IComboBoxData[], value: string) => string;
};
declare const ComboBoxDom: {
    disableInput: (combobox: HTMLSelectElement, disable: boolean) => void;
};
declare const Date: {
    customDate: (date: import("moment").MomentInput, format: string) => string;
    currentDate: (outputFormat?: string) => string;
    dayMonthYear: (date: import("moment").MomentInput, format?: string) => import("./scripts/core/services/date/core-services-date.interface").IDayMonthYear;
    localDate: (year: number, month: number, day: number, local?: import("./scripts/core/services/date/core-services-date.interface").IDateLocal) => string;
    dateFromIso: (date: import("moment").MomentInput, format?: string) => string;
    ganttDate: (date: import("moment").MomentInput) => Date;
    isoDateCustom: (date: import("moment").MomentInput, dateFormat: string, outputFormat: string) => string;
    isoDate: (date: import("moment").MomentInput, format?: string) => string;
    isoDateWithoutTime: (date: import("moment").MomentInput) => string;
    dateMilliseconds: (date: import("moment").MomentInput, dateFormat: string, outputFormat: string) => number;
    dateToMillisecondsNoTime: (date: import("moment").MomentInput) => number;
    millisecondsToDate: (date: import("moment").MomentInput, outputFormat: string) => string;
    daysToMilliseconds: (days: number) => number;
    durationInDays: (start: number, end: number, countFirstDay: boolean) => number;
    durationInMilliseconds: (start: number, end: number) => number;
    monthName: (month: number, language?: string) => string;
    weeksOfMonth: (year: number, month: number) => import("./scripts/core/services/date/core-services-date.interface").IWeeksOfMonth[];
    daysOfMonth: (weeksRange: import("./scripts/core/services/date/core-services-date.interface").IWeeksOfMonth[]) => import("./scripts/core/services/date/core-services-date.interface").IDaysOfMonth[][];
    weekOfYear: (date: string, format: string) => number;
    isDateBefore: (startDate: string, endDate: string, type?: import("moment").unitOfTime.StartOf) => boolean;
};
declare const DateGet: {
    customDate: (date: import("moment").MomentInput, format: string) => string;
    currentDate: (outputFormat?: string) => string;
    dayMonthYear: (date: import("moment").MomentInput, format?: string) => import("./scripts/core/services/date/core-services-date.interface").IDayMonthYear;
    localDate: (year: number, month: number, day: number, local?: import("./scripts/core/services/date/core-services-date.interface").IDateLocal) => string;
    dateFromIso: (date: import("moment").MomentInput, format?: string) => string;
    ganttDate: (date: import("moment").MomentInput) => Date;
    isoDateCustom: (date: import("moment").MomentInput, dateFormat: string, outputFormat: string) => string;
    isoDate: (date: import("moment").MomentInput, format?: string) => string;
    isoDateWithoutTime: (date: import("moment").MomentInput) => string;
    dateMilliseconds: (date: import("moment").MomentInput, dateFormat: string, outputFormat: string) => number;
    dateToMillisecondsNoTime: (date: import("moment").MomentInput) => number;
    millisecondsToDate: (date: import("moment").MomentInput, outputFormat: string) => string;
    daysToMilliseconds: (days: number) => number;
    durationInDays: (start: number, end: number, countFirstDay: boolean) => number;
    durationInMilliseconds: (start: number, end: number) => number;
    monthName: (month: number, language?: string) => string;
    weeksOfMonth: (year: number, month: number) => import("./scripts/core/services/date/core-services-date.interface").IWeeksOfMonth[];
    daysOfMonth: (weeksRange: import("./scripts/core/services/date/core-services-date.interface").IWeeksOfMonth[]) => import("./scripts/core/services/date/core-services-date.interface").IDaysOfMonth[][];
    weekOfYear: (date: string, format: string) => number;
};
declare const DateComparable: {
    isDateBefore: (startDate: string, endDate: string, type?: import("moment").unitOfTime.StartOf) => boolean;
};
declare const DateValidation: {
    validateDate: (date: import("moment").MomentInput) => boolean;
};
declare const DatePicker: {
    setDatePicker: (datePicker: HTMLInputElement, dateFormat: string) => void;
    monthYearDatePicker: (datePicker: HTMLInputElement, dateFormat: string, setValueCallback: any) => void;
    dateFromDatePicker: (date: import("moment").MomentInput, format?: string, outputFormat?: string) => string;
    localDateForDatePicker: (date: import("moment").MomentInput, outputFormat?: string) => any;
    currentDateForDatePicker: (dateFormat?: string, outputFormat?: string) => any;
    dateForDatePicker: (month: number, day: number, year: number) => string;
};
declare const Elements: {
    removeChildElements: (elementClassId: string | HTMLElement) => void;
};
export { Array, ArraySort, ArrayRemove, Attachment, AttachmentValidate, AttachmentConvert, AttachmentParse, Browser, BrowserVersion, BrowserFullscreen, ComboBox, ComboBoxCore, ComboBoxData, ComboBoxDom, Date, DateGet, DateComparable, DateValidation, DatePicker, Elements };
