/* tslint:disable:variable-name */
import { validateFile, validateFileSize, fileMaxSize, textFileToUrlImage, parseAcceptFiles } from './scripts/core/services/attachment/core-services-attachment.service';
import { removeArrayDuplicateLegacy, sortByKey } from './scripts/core/services/array/core-services-array.service';
import { isBeforeIE11, isIE, disableFullscreenListener, fullscreenListener, toggleFullScreen, hasFullscreen } from './scripts/core/services/browser/core-services-browser.service';
import { initialize, loadData, dataByValue, disableInput } from './scripts/core/services/combobox/core-services-combobox.service';
import { customDate, currentDate, dayMonthYear, localDate, dateFromIso, ganttDate, isoDateCustom, isoDate, isoDateWithoutTime, dateMilliseconds, dateToMillisecondsNoTime, millisecondsToDate, daysToMilliseconds, durationInDays, durationInMilliseconds, monthName, weeksOfMonth, daysOfMonth, weekOfYear, isDateBefore, validateDate, setDatePicker, monthYearDatePicker, dateFromDatePicker, localDateForDatePicker, currentDateForDatePicker, dateForDatePicker } from './scripts/core/services/date/core-services-date.service';
import { removeChildElements } from './scripts/core/services/elements/core-services-elements.service';
import { numberToString } from './scripts/core/services/string/core-services-string.service';
// region Array
var Array = { removeArrayDuplicateLegacy: removeArrayDuplicateLegacy, sortByKey: sortByKey };
var ArraySort = { sortByKey: sortByKey };
var ArrayRemove = { removeArrayDuplicateLegacy: removeArrayDuplicateLegacy };
// endregion
// region Attachment
var Attachment = { validateFile: validateFile, validateFileSize: validateFileSize, textFileToUrlImage: textFileToUrlImage, parseAcceptFiles: parseAcceptFiles };
var AttachmentValidate = { validateFile: validateFile, validateFileSize: validateFileSize, fileMaxSize: fileMaxSize };
var AttachmentConvert = { textFileToUrlImage: textFileToUrlImage };
var AttachmentParse = { parseAcceptFiles: parseAcceptFiles };
// endregion
// region Browser
var Browser = { isIE: isIE, isBeforeIE11: isBeforeIE11, disableFullscreenListener: disableFullscreenListener, fullscreenListener: fullscreenListener, toggleFullScreen: toggleFullScreen, hasFullscreen: hasFullscreen };
var BrowserVersion = { isIE: isIE, isBeforeIE11: isBeforeIE11 };
var BrowserFullscreen = { disableFullscreenListener: disableFullscreenListener, fullscreenListener: fullscreenListener, toggleFullScreen: toggleFullScreen, hasFullscreen: hasFullscreen };
// endregion
// region ComboBox
var ComboBox = { initialize: initialize, loadData: loadData, dataByValue: dataByValue, disableInput: disableInput };
var ComboBoxCore = { initialize: initialize, loadData: loadData };
var ComboBoxData = { dataByValue: dataByValue };
var ComboBoxDom = { disableInput: disableInput };
// endregion
// region Date
var Date = { customDate: customDate, currentDate: currentDate, dayMonthYear: dayMonthYear, localDate: localDate, dateFromIso: dateFromIso, ganttDate: ganttDate, isoDateCustom: isoDateCustom, isoDate: isoDate, isoDateWithoutTime: isoDateWithoutTime,
    dateMilliseconds: dateMilliseconds, dateToMillisecondsNoTime: dateToMillisecondsNoTime, millisecondsToDate: millisecondsToDate, daysToMilliseconds: daysToMilliseconds, durationInDays: durationInDays, durationInMilliseconds: durationInMilliseconds,
    monthName: monthName, weeksOfMonth: weeksOfMonth, daysOfMonth: daysOfMonth, weekOfYear: weekOfYear, isDateBefore: isDateBefore };
var DateGet = { customDate: customDate, currentDate: currentDate, dayMonthYear: dayMonthYear, localDate: localDate, dateFromIso: dateFromIso, ganttDate: ganttDate, isoDateCustom: isoDateCustom, isoDate: isoDate, isoDateWithoutTime: isoDateWithoutTime,
    dateMilliseconds: dateMilliseconds, dateToMillisecondsNoTime: dateToMillisecondsNoTime, millisecondsToDate: millisecondsToDate, daysToMilliseconds: daysToMilliseconds, durationInDays: durationInDays, durationInMilliseconds: durationInMilliseconds,
    monthName: monthName, weeksOfMonth: weeksOfMonth, daysOfMonth: daysOfMonth, weekOfYear: weekOfYear };
var DateComparable = { isDateBefore: isDateBefore };
var DateValidation = { validateDate: validateDate };
var DatePicker = { setDatePicker: setDatePicker, monthYearDatePicker: monthYearDatePicker, dateFromDatePicker: dateFromDatePicker, localDateForDatePicker: localDateForDatePicker,
    currentDateForDatePicker: currentDateForDatePicker, dateForDatePicker: dateForDatePicker
};
// endregion
// region Elements
var Elements = { removeChildElements: removeChildElements };
// endregion
// region String
var String = { numberToString: numberToString };
// end region
export { Array, ArraySort, ArrayRemove, Attachment, AttachmentValidate, AttachmentConvert, AttachmentParse, Browser, BrowserVersion, BrowserFullscreen, ComboBox, ComboBoxCore, ComboBoxData, ComboBoxDom, Date, DateGet, DateComparable, DateValidation, DatePicker, Elements };
//# sourceMappingURL=index.js.map