/// <reference types="moment-range" />
import 'node_modules/jquery-ui-dist/jquery-ui.min';
import { IDateLocal, IDayMonthYear, IDaysOfMonth, IWeeksOfMonth } from './core-services-date.interface';
/**
 * Date Get data
 */
export declare const customDate: (date: import("moment").MomentInput, format: string) => string;
export declare const currentDate: (outputFormat?: string) => string;
export declare const dayMonthYear: (date: import("moment").MomentInput, format?: string) => IDayMonthYear;
export declare const localDate: (year: number, month: number, day: number, local?: IDateLocal) => string;
export declare const dateFromIso: (date: import("moment").MomentInput, format?: string) => string;
export declare const ganttDate: (date: import("moment").MomentInput) => Date;
export declare const isoDateCustom: (date: import("moment").MomentInput, dateFormat: string, outputFormat: string) => string;
export declare const isoDate: (date: import("moment").MomentInput, format?: string) => string;
export declare const isoDateWithoutTime: (date: import("moment").MomentInput) => string;
export declare const dateMilliseconds: (date: import("moment").MomentInput, dateFormat: string, outputFormat: string) => number;
export declare const dateToMillisecondsNoTime: (date: import("moment").MomentInput) => number;
export declare const millisecondsToDate: (date: import("moment").MomentInput, outputFormat: string) => string;
export declare const daysToMilliseconds: (days: number) => number;
export declare const durationInDays: (start: number, end: number, countFirstDay: boolean) => number;
export declare const durationInMilliseconds: (start: number, end: number) => number;
export declare const monthName: (month: number, language?: string) => string;
export declare const weeksOfMonth: (year: number, month: number) => IWeeksOfMonth[];
export declare const daysOfMonth: (weeksRange: IWeeksOfMonth[]) => IDaysOfMonth[][];
export declare const weekOfYear: (date: string, format: string) => number;
/**
 * Date comparable
 */
export declare const isDateBefore: (startDate: string, endDate: string, type?: import("moment").unitOfTime.StartOf) => boolean;
/**
 * Date validation
 */
export declare const validateDate: (date: import("moment").MomentInput) => boolean;
/**
 * Date picker utilities;
 * Jquery ui
 */
export declare const setDatePicker: (datePicker: HTMLInputElement, dateFormat: string) => void;
export declare const monthYearDatePicker: (datePicker: HTMLInputElement, dateFormat: string, setValueCallback: any) => void;
export declare const dateFromDatePicker: (date: import("moment").MomentInput, format?: string, outputFormat?: string) => string;
export declare const localDateForDatePicker: (date: import("moment").MomentInput, outputFormat?: string) => any;
export declare const currentDateForDatePicker: (dateFormat?: string, outputFormat?: string) => any;
export declare const dateForDatePicker: (month: number, day: number, year: number) => string;
